All pages
Powered by GitBook
1 of 1

Loading...

Search Bitstring Status List

Search and filter for Bitstring Status List DID-Linked Resources (DLRs) using cheqd Studio.

The /credential-status/search API allows users to search for specific entries of a Status List on the cheqd network. For example, if there are multiple Status Lists associated with the same DID, the search functionality allows applications to make requests only to a specified Status List.

Step 1: Set Status List Search Filters

Users are able to filter by:

did (required)

The is the DID of the publisher of the Status List. The Status List entries will be DID-Linked Resources associated with this DID.

statusPurpose

The is the type of Status List to be queried. The options are:

  • revocation

  • suspension

statusListName

The is the name of the Status List. Alongside the statusPurpose, this will uniquely identify a version of the Status List.

Step 2: Hit the API

Execute the filters from Step 1 on the API below:

Fetch StatusList2021 or BitstringStatusList DID-Linked Resource based on search criteria.

get
/credential-status/search
Authorizations
x-api-keystringRequired
Query parameters
didstringRequired

The DID of the issuer of the status list.

listTypestring · enumRequired

The type of Status List.

Possible values:
statusPurposestring · enumRequired

The purpose of the status list. Can be either revocation or suspension.

Possible values:
statusListNamestringRequired

The name of the Status List DID-Linked Resource.

Responses
200

The request was successful.

application/json
Responseall of
and
anyOptional
or
400

A problem with the input fields has occurred. Additional state information plus metadata may be available in the response body.

401

Access token is missing or invalid

500

An internal error has occurred. Additional state information plus metadata may be available in the response body.

get
/credential-status/search
{
  "found": true,
  "resource": {
    "StatusList2021": {
      "encodedList": "H4sIAAAAAAAAA-3BAQ0AAADCoPdPbQ8HFAAAAAAAAAAAAAAAAAAAAADwaDhDr_xcRAAA",
      "type": "StatusList2021Revocation",
      "validFrom": "2023-06-26T11:45:19.349Z"
    },
    "metadata": {
      "type": "StatusList2021Revocation",
      "encoding": "base64url",
      "encrypted": false
    }
  },
  "resourceMetadata": {
    "resourceURI": "did:cheqd:testnet:7c2b990c-3d05-4ebf-91af-f4f4d0091d2e/resources/5945233a-a4b5-422b-b893-eaed5cedd2dc",
    "resourceCollectionId": "7c2b990c-3d05-4ebf-91af-f4f4d0091d2e",
    "resourceId": "5945233a-a4b5-422b-b893-eaed5cedd2dc",
    "resourceName": "cheqd-employee-credentials",
    "resourceType": "StatusList2021Revocation",
    "mediaType": "application/json",
    "resourceVersion": "1.0.0",
    "created": "2023-06-26T11:45:20Z",
    "checksum": "909e22e371a41afbb96c330a97752cf7c8856088f1f937f87decbef06cbe9ca2",
    "previousVersionId": null,
    "nextVersionId": null
  }
}
GET /credential-status/search?did=text&listType=StatusList2021&statusPurpose=revocation&statusListName=text HTTP/1.1
Host: studio-api.cheqd.net
x-api-key: YOUR_API_KEY
Accept: */*